
Core - Bug # 57415

Status: Resolved Priority: Should have
Author: Alexander Stehlik Category: File Abstraction Layer (FAL)
Created: 2014-03-28 Assigned To:
Updated: 2014-04-07 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity: no-brainer
Is Regression: Yes
Sprint Focus:
Subject: Local driver does not sanitize directory names on recursive creation
Description

The createFolder() method will not correctly sanitize the directory name parts, when the recursive option is TRUE (as used by TCE).

The reason for this is, that the return value of array_map is not used:

Regression introduced in #54230

Related issues:
related to Core - Task # 54230: Refactor Driver API Resolved 2013-12-06 2013-12-31

Associated revisions
Revision 25c60e44 - 2014-04-07 20:50 - Alexander Stehlik

[BUGFIX] Use return values of array_map in local driver

The LocalDriver will now use the return values of array_map calls in
createFolder() and determineBaseUrl() so that the values are really
sanitized / url encoded.

Resolves: #57415
Releases: 6.2
Change-Id: I8aa1a79c6e4a7fe6c2d82ec66c12338e75a35872
Reviewed-on: https://review.typo3.org/28940
Reviewed-by: Frans Saris
Tested-by: Frans Saris
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2014-03-28 15:49 - Alexander Stehlik

Actually there should be code in the description:

array_map(array($this, 'sanitizeFileName'), $parts);
#2 - 2014-03-28 15:51 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28940

#3 - 2014-03-28 16:53 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28940

#4 - 2014-04-07 21:30 - Alexander Stehlik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:25c60e4478f97036df56563071873c5fcf683147.
